package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaLowMonitoringWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SRaLowMonitoringWaterMapper extends BaseMapper<SRaLowMonitoringWater> {
    int updateBatch(List<SRaLowMonitoringWater> list);

    int updateBatchSelective(List<SRaLowMonitoringWater> list);

    int batchInsert(@Param("list") List<SRaLowMonitoringWater> list);

    List<SRaLowMonitoringWater> selectHourDataByTime(String factoryId, String monitorId, String pollutantsCode, Date monitorTime);
}
